[Bug 1575109] Re: Upgrade failed, x86_64-linux-gnu/crti.o: unrecognized relocation (0x2a) in section `.init'

Launchpad Bug Tracker 1575109 at bugs.launchpad.net
Mon May 23 10:38:18 UTC 2016


Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: binutils (Ubuntu)
       Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Foundations Bugs, which is subscribed to binutils in Ubuntu.
https://bugs.launchpad.net/bugs/1575109

Title:
  Upgrade failed, x86_64-linux-gnu/crti.o: unrecognized relocation
  (0x2a) in section `.init'

Status in binutils:
  New
Status in binutils package in Ubuntu:
  Confirmed
Status in ubuntu-release-upgrader package in Ubuntu:
  Confirmed
Status in binutils package in Debian:
  Fix Released

Bug description:
  Running sa-compile (may take a long time)
  /usr/bin/ld: /usr/lib/gcc/x86_64-linux-gnu/5/../../../x86_64-linux-gnu/crti.o: unrecognized relocation (0x2a) in section `.init'
  /usr/bin/ld: final link failed: Bad value
  collect2: error: ld returned 1 exit status
  make: *** [blib/arch/auto/Mail/SpamAssassin/CompiledRegexps/body_0/body_0.so] Error 1
  command 'make >>/tmp/.spamassassin6654c6JaRRtmp/log' failed: exit 2
  dpkg: error processing package sa-compile (--configure):
   subprocess installed post-installation script returned error exit status 25
  Errors were encountered while processing:
   libgmp-dev:amd64
   systemd
   sa-compile

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: ubuntu-release-upgrader-core 1:15.10.14.4
  ProcVersionSignature: Ubuntu 4.2.0-35.40-generic 4.2.8-ckt5
  Uname: Linux 4.2.0-35-generic x86_64
  NonfreeKernelModules: nvidia wl
  ApportVersion: 2.19.1-0ubuntu5
  Architecture: amd64
  CrashDB: ubuntu
  CurrentDesktop: Unity
  Date: Tue Apr 26 11:38:01 2016
  InstallationDate: Installed on 2012-02-04 (1542 days ago)
  InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
  PackageArchitecture: all
  SourcePackage: ubuntu-release-upgrader
  Symptom: ubuntu-release-upgrader
  UpgradeStatus: Upgraded to xenial on 2016-04-26 (0 days ago)
  VarLogDistupgradeAptclonesystemstate.tar.gz: Error: command ['pkexec', 'cat', '/var/log/dist-upgrade/apt-clone_system_state.tar.gz'] failed with exit code 127: pkexec must be setuid root

To manage notifications about this bug go to:
https://bugs.launchpad.net/binutils/+bug/1575109/+subscriptions



More information about the foundations-bugs mailing list